Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state
Interface PropertyMap

All Superinterfaces:
  java.util.Map

All Known Implementing Classes:
  AbstractPropertyMap, SimplePropertyMap

    public interface PropertyMap

extends java.util.Map

Version:
  $Revision: 6643 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`Value` | `getProperty(java.lang.String key)` Return the value for the given key or null if it does not exist.
`void` | `setProperty(java.lang.String key, Value value)` Update the value of the given key.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getProperty

    Value getProperty(java.lang.String key)
                      throws java.lang.IllegalArgumentException

  Return the value for the given key or null if it does not exist.

  Parameters:
    `key` - the requested key
  Returns:
    the requested value or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the key is null

### setProperty

    void setProperty(java.lang.String key,
                     Value value)
                     throws java.lang.IllegalArgumentException,
                            java.lang.UnsupportedOperationException

  Update the value of the given key. If the value object is null it means that the entry must be removed. Implementation can throw an unsupported operation exception when it is abnormal to perform an update.

  Parameters:
    `key` - the key to update
    `value` - the new value
  Throws:
    `java.lang.UnsupportedOperationException` - if the operation is not supported
    `java.lang.IllegalArgumentException` - if the key is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD